package eu.digitalconcepts.dcgw.api.device;

import java.util.Date;
import java.util.List;


/**
 * JSON response of a device. 
 * 
 *
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class Device
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/** Unique ID of the EnOcean device. */
	private String deviceId;
	
	/** Cleartext name of the device. */
	private String friendlyId;
	
	/** Friendly name to group "different individual EEP devices combined in a box". */
	private String physicalDevice;
	
	/** Supported EEPs of the device. */
	private List<Eep> eeps;
	
	private String manufacturer;
	
	private String location;
	
	/** will be changed */
	private String baseIdChannel;
	
	private Date firstSeen;
	
	private Date lastSeen;
	
	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================
	
	public String getDeviceId()
	{
		return deviceId;
	}

	public void setDeviceId(String pDeviceId)
	{
		deviceId = pDeviceId;
	}

	public String getFriendlyId()
	{
		return friendlyId;
	}

	public void setFriendlyId(String pFriendlyId)
	{
		friendlyId = pFriendlyId;
	}

	public String getBaseIdChannel()
	{
		return baseIdChannel;
	}

	public void setBaseIdChannel(String pBaseIdChannel)
	{
		baseIdChannel = pBaseIdChannel;
	}

	public String getPhysicalDevice()
	{
		return physicalDevice;
	}

	public void setPhysicalDevice(String pPhysicalDevice)
	{
		physicalDevice = pPhysicalDevice;
	}

	public List<Eep> getEeps()
	{
		return eeps;
	}
	
	public void setEeps(List<Eep> pEeps)
	{
		eeps = pEeps;
	}
	
	public String getManufacturer()
	{
		return manufacturer;
	}
	
	public void setManufacturer(String pManufacturer)
	{
		manufacturer = pManufacturer;
	}
	
	public String getLocation()
	{
		return location;
	}

	public void setLocation(String pLocation)
	{
		location = pLocation;
	}

	public Date getFirstSeen()
	{
		return firstSeen;
	}

	public void setFirstSeen(Date pFirstSeenTimestamp)
	{
		firstSeen = pFirstSeenTimestamp;
	}

	public Date getLastSeen()
	{
		return lastSeen;
	}

	public void setLastSeen(Date pLastSeen)
	{
		lastSeen = pLastSeen;
	}
}