package eu.digitalconcepts.dcgw.api.profile;

import java.util.List;

import eu.digitalconcepts.dcgw.api.telegram.FunctionValue;


/**
 * JSON model of a single EEP function.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class Function
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/** Technical key of function. */
	private String key;
	
	/** Description of function in English. */
	private String description;

	/** List of possible values of function if available. */
	private List<Value> values;
	
	/** Default value if not set in "to" function group. */
	private FunctionValue defaultValue;
	
	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getKey()
    {
    	return key;
    }

	public void setKey(String pKey)
    {
    	key = pKey;
    }

	public String getDescription()
    {
    	return description;
    }

	public void setDescription(String pDescription)
    {
    	description = pDescription;
    }

	public List<Value> getValues()
    {
    	return values;
    }

	public void setValues(List<Value> pValues)
    {
    	values = pValues;
    }

	public FunctionValue getDefaultValue()
	{
		return defaultValue;
	}

	public void setDefaultValue(FunctionValue pDefaultValue)
	{
		defaultValue = pDefaultValue;
	}	
}
