package eu.digitalconcepts.dcgw.api.profile;

import java.util.List;


/**
 * API model of a single EnOcean Equipment Profile.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class Profile
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/**
	 * EnOcean Equipment Profile (EEP) ID.
	 */
	private String id;
	
	/**
	 * Title of the profile.
	 */
	private String title;
	
	/**
	 * List of vendor specific EEP variations.
	 */
	private List<Variation> variations;
	
	/**
	 * List of grouped functions.
	 */
	private List<FunctionGroup> functionGroups;
	
	
	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getId()
	{
		return id;
	}

	public void setId(String pId)
	{
		id = pId;
	}

	public String getTitle()
    {
    	return title;
    }

	public void setTitle(String pTitle)
    {
    	title = pTitle;
    }

	public List<Variation> getVariations()
    {
    	return variations;
    }

	public void setVariations(List<Variation> pVariations)
    {
    	variations = pVariations;
    }

	public List<FunctionGroup> getFunctionGroups()
	{
		return functionGroups;
	}
	
	public void setFunctionGroups(List<FunctionGroup> pFunctionGroups)
    {
    	functionGroups = pFunctionGroups;
    }
}
