package eu.digitalconcepts.dcgw.api.telegram;

import java.util.Date;


/**
 * Model of a single EEP function.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class TelegramFunction
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/**
	 * Technical key of function.
	 */
	private String key;

	/**
	 * Channel if supported by this device.
	 */
	private Integer channel;
	
	/**
	 * Value of the function.
	 */
	private FunctionValue value;
	
	/**
	 * Description of value in English.
	 */
	private String meaning;
	
	/**
	 * Unit ISO.
	 */
	private String unit;
	
	/**
	 * Timestamp function value was received in case of last state functions.
	 */
	private Date timestamp;
	
	/**
	 * Age of function value in case of last state functions in milli seconds.
	 */
	private long age;

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getKey()
	{
		return key;
	}

	public void setKey(String pKey)
	{
		key = pKey;
	}

	public Integer getChannel()
	{
		return channel;
	}

	public void setChannel(Integer pChannel)
	{
		channel = pChannel;
	}

	public FunctionValue getValue()
	{
		return value;
	}

	public void setValue(FunctionValue pValue)
	{
		value = pValue;
	}

	public String getMeaning()
	{
		return meaning;
	}

	public void setMeaning(String pMeaning)
	{
		meaning = pMeaning;
	}

	public String getUnit()
	{
		return unit;
	}

	public void setUnit(String pUnit)
	{
		unit = pUnit;
	}

	public Date getTimestamp()
	{
		return timestamp;
	}

	public void setTimestamp(Date pTimestamp)
	{
		timestamp = pTimestamp;
	}

	public long getAge()
	{
		return age;
	}

	public void setAge(long pAge)
	{
		age = pAge;
	}	
}
