package eu.digitalconcepts.dcgw.api.telegram;



/**
 * Model of raw EnOcean telegram data.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class TelegramInfo
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================
	
	/**
	 * Data encoded as hex value.
	 */
	private String data;
	
	/**
	 * Status of the EnOcean telegram as hex value.
	 */
	private String status;
	
	/**
	 * Signal strength of the EnOcean telegram. 
	 */
	private byte dbm;
	
	/**
	 * EEP ROrg information of the EnOcean telegram.
	 */
	private String rorg;
	
	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getData()
    {
    	return data;
    }

	public void setData(String pData)
    {
    	data = pData;
    }

	public String getStatus()
    {
    	return status;
    }

	public void setStatus(String pStatus)
    {
    	status = pStatus;
    }

	public byte getDbm()
    {
    	return dbm;
    }

	public void setDbm(byte pDbm)
    {
    	dbm = pDbm;
    }

	public String getRorg()
    {
    	return rorg;
    }

	public void setRorg(String pRorg)
    {
    	rorg = pRorg;
    }
}
